geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Xh <xhsaymyn...@yahoo.co.uk>
Subject Re: XML and EXSLT support disappeared from Geronimo 2.0.1!
Date Sat, 06 Oct 2007 07:49:21 GMT
Hi!

I've checked my Geronimo 1.x lib/endorsed directory and there is Xalan (xalan-2.6.0-26.jar).

So it looks like Xalan was shipped with G1 and is not shipped with G2 any more ;)

Any way, I've copied it to the corresponding Geronimo 2.0.1 directory and now it works.

thanks!
Łukasz

----- Original Message ----
From: Donald Woods <dwoods@apache.org>
To: user@geronimo.apache.org
Sent: Friday, 5 October, 2007 7:26:41 PM
Subject: Re: XML and EXSLT support disappeared from Geronimo 2.0.1!

Geronimo 2.0.x only includes xercesImpl-2.8.1.jar.
For Xalan support, you can use the IBM 1.5.0 SDK which includes IBM's XML4J 
updated versions of Xerces and Xalan.  If you are using the Sun 1.5.0 SDK, 
you'll need to include Xalan in your app or install it into the server's repo, 
as Sun renamed the packages in their distro....

-Donald

Xh wrote:
> Hi All!
> 
> I'm having problems with running XSLT stylesheets that I was successfully using with
previous Geronimo 1.1.0.
> 
> I have (example use of http://exslt.org/sets):
> 
> 
>         xmlns:set="http://exslt.org/sets"; exclude-result-prefixes="set"
>         version="2.0">
>         <xsl:output method="html" encoding="UTF-8" indent="yes" />
>         <xsl:include
>                 href="/stuff/installs/IBM/WASCE2/var/dataweaver/xsl/utils/main.xsl" />
> .....
> <xsl:template name="ranges">
>                 <xsl:param name="location" />
> 
>                 <ul>
>                         <!-- @TODO check what's wrong set:distinct() !!!!!! -->
>                         <xsl:for-each
>                                 select="set:distinct(/dw/contents/examinationTypes/examinationType/@idRange)">
>                                 ...
>                         </xsl:for-each>
>                 </ul>
>         </xsl:template>
> </xsl:stylesheet>
> 
> Above stylesheet was working with Geronimo 1.1.0 and WAS-CE 1.0.0.
> 
> Maybe some XML libraries were changed, or are not shipped with Geronimo 2.0.1 any more?
> 
> thanks and best regards
> Łukasz
> 
> 
> 
> 
> 
> 
> 
>       ___________________________________________________________
> Yahoo! Answers - Got a question? Someone out there knows the answer. Try it
> now.
> http://uk.answers.yahoo.com/ 
> 
> 






      ___________________________________________________________ 
Want ideas for reducing your carbon footprint? Visit Yahoo! For Good  http://uk.promotions.yahoo.com/forgood/environment.html

Mime
View raw message